PHP7 — необратимое будущее? Проверяемся на совместимость.

Уже давно мне как-то не по себе что-либо делать в виде «чёрной коробки». Тем более программировать. Если что-то начинается не так, сразу запускаю дебаггер и всё становится на свои места. Но что делать с PHP7? Ведь хочешь или нет, но как и раньше с 4 на 5, а потом и на 5.3, всё однозначно перейдёт на 7 версию. Вопрос только в 2016 году или в одном из следующих?

Можно в виртуалке установить PHP7, копию проекта и… что-то увидеть. Или НЕ увидеть. Вот такое тестирование в слепую я и хотел бы избежать. Кто крикнул «Тесты!»? Некоторые штуки писались давным-давно, когда ни про тесты, ни даже про ООП не задумывались.

Но вот не так давно наткнулся на чудесную программу — php7cc. Написана на PHP5, просит 5.3. Натравливаем на любую папку и она проверяет весь код на наличие устаревших элементов относительно версии 7.0. Всё просто и чудесно. Можно прямо на папку с продакшеном натравить, если совсем лень возиться. ;) В результате список всех проблем, если таковые есть. И если используются поросшие паутиной сторонние библиотеки времён 5.0-5.2, то проблемы гарантированно будут! :D

В общем, кому надо — забирайте, проверяйтесь и подготавливайтесь, пока PHP7 на вашем сервере внезапно не стал версией по умолчанию. :)